unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, TeeTools, TeEngine, TeeSurfaceTool, TeeSurfa, ExtCtrls,
  TeeProcs, Chart,DateUtils,EditChar, TeeGDIPlus;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Chart1: TChart;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Chart1DblClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  Serie:TChartSeries;
  x,z : integer;
begin

    Serie:=Chart1.Series[0];

    Serie.Clear;

    for x:=0 to 32 do
      (Serie as TSurfaceSeries).AddXYZ(x,random,1);
    for x:=0 to 32 do
      (Serie as TSurfaceSeries).AddXYZ(x,random,2);

end;

procedure TForm1.Button2Click(Sender: TObject);
var
  Serie:TChartSeries;
  x,z : integer;
begin
    Serie:=Chart1.Series[0];

    Serie.Clear;

    for x:=0 to 32 do
      (Serie as TSurfaceSeries).AddXYZ(x,random,1);
    for x:=0 to 30 do
      (Serie as TSurfaceSeries).AddXYZ(x,random,2);
end;


procedure TForm1.FormCreate(Sender: TObject);
begin
  Chart1.AddSeries(TIsoSurfaceSeries);

  Chart1.Tools.Add(TRotateTool);
end;

procedure TForm1.Chart1DblClick(Sender: TObject);
begin
  EditChart(self,Chart1);
end;

end.
